# Dictionary put

An action block that associates a value with a key in a dictionary.

The fiber will proceed immediately without pause.

A entry already associated with the key is replaced with the new value and conversion type. If the Dictionary variable isn’t already assigned a dictionary, a new dictionary is assigned.

## Variable

- Dictionary — variable to assign, or assigned with the dictionary to modify.

## Input arguments

- Key — the text key with which the value is to be associated.
- Value — the value to be associated with the key, default is `null`.
- Conversion type — a conversion type for the value, default is none.

## Output variables

- Value replaced — variable to assign the value of the replaced entry.